<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

define("SYSC_LOCK_DAYS", "lock_days");
define("SYSC_CHART_PERIOD", "chart_show_period");
define("SYSC_LAST_REPORT_EMAIL", "last_report_email");
define("SYSC_LAST_INVOICE_EMAIL", "last_invoice_email");
define("SYSC_LAST_INVOICE_CC", "last_invoice_cc");

// Class ttSysConfig is used for storing and retrieving named values associated with users.
class ttSysConfig {
  var $u_id = null;
  var $mdb2 = null;

  // Constructor.
  function ttSysConfig($u_id) {
    $this->u_id = $u_id;
    $this->mdb2 = getConnection();
  }

  // The getValue retrieves a value identified by name.
  function getValue($name) {
    $res = $this->mdb2->query("select sysc_value from sysconfig where sysc_id_u = ".$this->u_id." and sysc_name=".$this->mdb2->quote($name));
    if (PEAR::isError($res) == 0) {
      $val = $res->fetchRow();
      return $val['sysc_value'];
    }
    return false;
  }

  // The setValue sets a value identified by name.
  function setValue($name, $value) {
    $rcnt = 0;
    $res = $this->mdb2->query("select count(sysc_id) as rcnt from sysconfig where sysc_id_u = ".$this->u_id." and sysc_name = ".$this->mdb2->quote($name));
    if ($val = $res->fetchRow()) $rcnt = $val['rcnt'];
    
    if ($rcnt > 0) {
      $affected = $this->mdb2->exec("update sysconfig set sysc_value = ".$this->mdb2->quote($value)." where sysc_id_u = ".$this->u_id." and sysc_name=".$this->mdb2->quote($name));
    } else {
      $affected = $this->mdb2->exec("insert into sysconfig set sysc_value = ".$this->mdb2->quote($value).", sysc_name = ".$this->mdb2->quote($name).", sysc_id_u = ".$this->u_id);
    }
    return (PEAR::isError($affected) == 0);
  }
}
?>