<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

	/**
	 * @return unknown
	 * @param file unknown
	 * @param version = "" unknown
	 * @desc Loads a class
	 */
	function import( $class_name ) {
	    $libs = array(
			dirname($_SERVER["SCRIPT_FILENAME"]),
			LIBRARY_DIR
		);

	    $pos = strpos($class_name, ".");
        if (!($pos === false)) {
            $peaces = explode(".", $class_name);
            $p = "";
            for ($i=0; $i<count($peaces)-1; $i++) {
                $p = $p . "/" . $peaces[$i];
            }
			$libs = array_merge(array(LIBRARY_DIR . $p),$libs);
            $class_name = $peaces[count($peaces)-1];
        }

		$filename = $class_name . '.class.php';

		foreach($libs as $lib) {
			$inc_filename = $lib . '/' . $filename;
			if (file_exists($inc_filename)) {
					require_once($inc_filename);
					return $class_name;
			}
		}

		print '<br><b>load_class: error load file "'.$filename.'"</b>';
		die();
	}

	// The mu_sort function is used to sort a multi-dimensional array.
	// It looks like the code example is taken from the PHP manual http://ca2.php.net/manual/en/function.sort.php
	function mu_sort($array, $key_sort) {
		$n = 0;
		if (!is_array($array) || count($array)==0)
			return array();

		$key_sorta = explode(",", $key_sort);
		$keys = array_keys($array[0]);

		for($m=0; $m < count($key_sorta); $m++) {
			$nkeys[$m] = trim($key_sorta[$m]);
		}
		$n += count($key_sorta);

		for($i=0; $i < count($keys); $i++) {
			if(!in_array($keys[$i], $key_sorta)) {
				$nkeys[$n] = $keys[$i];
				$n += "1";
			}
		}

		for($u=0;$u<count($array); $u++) {
			$arr = $array[$u];
			for($s=0; $s<count($nkeys); $s++) {
				$k = $nkeys[$s];
				$output[$u][$k] = $array[$u][$k];
			}
		}
		sort($output);
		return $output;
	}

	/**
	 * return float type
	 *
	 * @param unknown $value
	 * @return unknown
	 */
	function toFloat($value) {
		if (isset($value) && strlen($value)>0) {
			$value = str_replace(",",".",$value);
			return floatval($value);
		}
		return null;
	}

	function stripslashes_deep($value) {
	    $value = is_array($value) ?
                array_map('stripslashes_deep', $value) :
                stripslashes($value);
    	return $value;
	}

	function &getConnection() {
        if (!isset($GLOBALS["_MDB2_CONNECTION"])) {

        	require_once('MDB2.php');

        	$mdb2 = &MDB2::connect(DSN);
			if (PEAR::isError($mdb2)) {
    			die($mdb2->getMessage());
			}

			$mdb2->setOption('debug', true);
			$mdb2->setFetchMode(MDB2_FETCHMODE_ASSOC);

   			$GLOBALS["_MDB2_CONNECTION"] = &$mdb2;
    	}
      	return $GLOBALS["_MDB2_CONNECTION"];
	}


	function closeConnection() {
		if (isset($GLOBALS["_DB_CONNECTION"])) {
			$GLOBALS["_DB_CONNECTION"]->close();
			unset($GLOBALS["_DB_CONNECTION"]);
		}
	}


function decimal_to_time($a)
{
  $val = floatval($a);

  if ($val < 0) {
    $val = 0;
  }

  $mins = round($val * 60);
  $hours = (string)((int)($mins / 60));
  $mins = (string)($mins % 60);
  if (strlen($hours) == 1) {
    $hours = '0' . $hours;
  }
  if (strlen($mins) == 1) {
    $mins = '0' . $mins;
  }

  return "$hours:$mins";
}

function time_to_decimal($a) {
  $tmp = explode(":", $a);
  if($tmp[1]{0}=="0") $tmp[1] = $tmp[1]{1};

  $m = round($tmp[1]*100/60);

  if($m<10) $m = "0".$m;
  $time = $tmp[0].".".$m;
  return $time;
}

function sec_to_time_fmt_hm($sec)
{
  return sprintf("%d:%02d", $sec / 3600, $sec % 3600 / 60);
}

function magic_quotes_off()
{
  if (get_magic_quotes_gpc()) {
    $_POST = array_map('stripslashes_deep', $_POST);
    $_GET = array_map('stripslashes_deep', $_GET);
    $_COOKIE = array_map('stripslashes_deep', $_COOKIE);
  }
}


function load_dl($needed, $required=true)
{
  if (!extension_loaded($needed))
  {
    if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
    {
      @dl("php_{$needed}.dll");
    }
    else
    {
      @dl("{$needed}.so");
    }

    if ( $required && !extension_loaded($needed) )
    {
      die( "PHP extension '{$needed}' is required but is not loaded. Read Anuko Time Tracker Installation Guide for help." );
    }
  }
}

?>