<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

$i18n_language_name = "German";
$i18n_float_delimiter = ",";

$i18n_month = array ('Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember');
// order of week day names must be from Sunday to Saturday in all translated files
$i18n_week = array ('Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag');
$i18n_week_sn = array ("So","Mo","Di","Mi","Do","Fr","Sa");

//format d/m
$i18n_holidays = array("01/01", "10/04", "13/04", "01/05", "21/05", "01/06", "03/10", "25/12", "26/12");

$i18n_key_words = array(

// menu entries
"menu.login" => 'anmelden',
"menu.logout" => 'abmelden',
"menu.feedback" => 'Rückmeldung geben',
"menu.help" => 'Hilfe',
"menu.register" => 'neues Managerkonto',
"menu.edprof" => 'Profil bearbeiten',
"menu.mytime" => 'meine Zeiten',
"menu.report" => 'Berichte',
"menu.project" => 'Projekte',
"menu.activity" => 'Tätigkeiten',
"menu.people" => 'Personen',
"menu.profile" => 'Teams',
"menu.migration" => 'Daten exportieren',
"menu.clients" => 'Kunden',
"menu.services" => 'Optionen',
"menu.admin" => 'Administrator',

// error strings
"errors.db_error" => 'Datenbankfehler',
"errors.wrong" => 'ungültige \'{0}\' Daten',
"errors.empty" => 'Feld \'{0}\' ist leer',
"errors.compare" => 'Feld \'{0}\' ist nicht gleich Feld \'{1}\'',
"errors.wr_interval" => 'ungültiges Intervall',
"errors.wr_project" => 'Projekt wählen',
"errors.wr_activity" => 'Tätigkeit wählen',
"errors.wr_auth" => 'Benutzername oder Passwort ungültig.',
"errors.del_nothing" => 'keine zu löschenden Daten.',
"errors.reg_error" => "neuer Benutzer konnte nicht angelegt werden.",
"errors.prof_error" => "Profil konnte nicht geändert werden.",
"errors.no_user" => "diesen Benutzer gibt es nicht.",
"errors.mt_del_no" => 'Stundeneintrag konnte nicht gelöscht werden.',
"errors.mt_del_no_conf" => 'Stundeneintrag wurde nicht gelöscht.',
"errors.mt_insert" => 'Fehler beim Einfügen der Zeiten',
// Note to translators: this string needs to be translated.
"errors.user_exist" => 'user with this login already exists',
"errors.user_notexists" => 'Diesen Benutzer gibt es nicht.',
"errors.user_update" => "Benutzerdaten konnten nicht geändert werden.",
"errors.user_delete" => "Benutzerdaten konnten nicht gelöscht werden.",
"errors.project_exist" => 'Es gibt bereits ein Projekt mit diesem Namen.',
"errors.project_notexists" => 'Das Projekt existiert nicht.',
"errors.project_update" => "Projektname konnte nicht geändert werden.",
"errors.project_add" => 'es konnte kein neues Projekt hinzugefügt werden.',
"errors.project_nodel" => 'Projekt konnte nicht gelöscht werden.',
"errors.activity_add" => 'Neue Tätigkeit konnte nicht hinzugefügt werden.',
"errors.activity_exist" => 'Eine Tätigket mit diesem Namen existiert bereits.',
"errors.activity_update" => "Name der Tätigkeit konnte nicht geändert werden.",
"errors.activity_nodel" => 'Tätigkeit konnte nicht gelöscht werden.',
"errors.activity_notexists" => 'Tätigkeit existiert nicht.',
"errors.report_period" => 'ungültiges Zeitintervall',
"errors.search_by_login" => 'Es gibt keinen Benutzer mit dieser E-Mail-Adresse.',
"errors.multiteam_mode" => 'Sie können keine weiteren Konten anlegen',
"errors.upload" => 'Fehler beim hochladen einer Datei',
"errors.client_nodel" => 'kann Auftraggeber nicht löschen',
"errors.client_notexists" => 'Kunde existiert nicht',
"errors.ie_sameusers" => 'einer oder mehrere Benutzer existieren bereits',
// Note to translators: string below needs to be translated.
// "errors.period_lock" => 'can\'t complete the operation. records older than a certain number of days cannot be created or modified. team manager defines this in the \'lock interval in days\' value on the \'edit profile\' page. set it to 0 to remove locking. <br><br>uncompleted records (with 0 or empty duration) can be deleted.',
"errors.mail_send" => 'Fehler beim versenden einer e-Mail',
"errors.fpass_no_user_email" => 'dieser Benutzer besitzt keine e-Mail Adresse',
// Note to translators: 2 strings below need to be translated.
// "errors.uncompleted_entry" => 'uncompleted entry already exists. close or delete it.',
// "errors.goto_record" => 'go to uncompleted entry.',

// labels for various buttons
"button.login" => 'anmelden',
"button.now" => 'jetzt',
"button.behalf_set" => 'setzen',
"button.save" => 'speichern',
"button.delete" => 'löschen',
"button.cancel" => 'abbrechen',
"button.submit" => 'abschicken',
"button.ppl_add" => 'Benutzerkonto hinzufügen',
"button.proj_add" => 'Neues Projekt anlegen',
"button.act_add" => 'Neue Tätigkeit hinzufügen',
"button.add" => 'hinzufügen',
"button.generate" => 'erstellen',
"button.sendpwd" => 'Passwort senden',
"button.send" => 'senden',
"button.sendbyemail" => 'als E-Mail senden',
"button.asnew" => 'als neu speichern',
"button.profile_add" => 'neues Team erstellen',
"button.export" => 'Team exportieren',
"button.import" => 'Team importieren',
"button.apply" => 'anwenden',
"button.clnt_add" => 'neue Auftraggeber anlegen',

"form.filter.project" => 'Projekt',
"form.filter.filter" => 'bevorzugter Report',
"form.filter.filter_new" => 'als bevorzugt speichern',
"form.filter.filter_confirm_delete" => 'Sind Sie sicher, dass der bevorzugte Report gelöscht werden soll?',

// login form attributes
"form.login.title" => 'Anmeldung',
"form.login.login" => 'e-Mail Adresse',
"form.login.password" => 'Passwort',

// password reminder form attributes
"form.fpass.title" => 'Passworterinnerung',
"form.fpass.login" => 'e-Mail',
"form.fpass.send_pass_str" => 'Das Passwort wurde gesendet.',
"form.fpass.send_pass_subj" => 'Ihr Anuko Time Tracker Passwort',
// Note to translators: this string needs to be translated.
"form.fpass.send_pass_body" => "Dear User,\n\nSomeone, possibly you, requested your Anuko Time Tracker password reset. Please visit this link if you want to reset your password.\n\n%s\n\nAnuko Time Tracker is a simple, easy to use, open source time tracking system. Visit http://www.anuko.com for more information.\n\n",
"form.fpass.reset_comment" => "Um das Passwort zu setzen, ein Neues eintippen und auf speichern drücken",

// administrator form
"form.admin.title" => 'Administrator',
"form.admin.duty_text" => 'Das Erzeugen eines neuen Manager Kontos, erzeugt eine neues Team.<br>Diese Teams können auch von XML-Dateien importiert werden.',
"form.admin.password" => 'Passwort',
"form.admin.password_confirm" => 'Passwort bestätigen',
"form.admin.change_pass" => 'Passwort des Administrator-Kontos ändern',
"form.admin.profile.title" => 'Teams',
"form.admin.profile.noprofiles" => 'Die Datenbank ist leer. Als Administrator anmelden und ein neues Team erzeugen.',
"form.admin.profile.comment" => 'Team löschen',
"form.admin.profile.th.id" => 'id',
"form.admin.profile.th.name" => 'Name',
"form.admin.profile.th.edit" => 'ändern',
"form.admin.profile.th.del" => 'löschen',
"form.admin.profile.th.active" => 'aktiv',
"form.admin.lock.period" => 'Zeitintervall in Tagen blockieren',
"form.admin.options" => 'Optionen',
"form.admin.lang_default" => 'Standardsprache',
"form.admin.custom_date_format" => "Datumformat",
"form.admin.custom_time_format" => "Zeitformat",
"form.admin.start_week" => "Erster Tag der Woche",

// my time form attributes
"form.mytime.title" => 'Meine Zeiten',
"form.mytime.edit_title" => 'Bearbeiten des Stundeneintrags',
"form.mytime.del_str" => 'Eintrag wird gelöscht:',
"form.mytime.time_form" => ' (hh:mm)',
"form.mytime.date" => 'Datum',
"form.mytime.project" => 'Projekt',
"form.mytime.activity" => 'Tätigkeit',
"form.mytime.start" => 'Start',
"form.mytime.finish" => 'Ende',
"form.mytime.duration" => 'Dauer',
"form.mytime.note" => 'Beschreibung',
"form.mytime.behalf" => 'Stunden des aktuellen Tages für',
"form.mytime.daily" => 'Stunden des aktuellen Tages',
"form.mytime.total" => 'Gesamtstunden: ',
"form.mytime.th.project" => 'Projekt',
"form.mytime.th.activity" => 'Tätigkeit',
"form.mytime.th.start" => 'Start',
"form.mytime.th.finish" => 'Ende',
"form.mytime.th.duration" => 'Dauer',
"form.mytime.th.note" => 'Beschreibung',
"form.mytime.th.edit" => 'Editieren',
"form.mytime.th.delete" => 'löschen',
"form.mytime.del_yes" => 'Zeiteintrag wurde erfolgreich gelöscht.',
"form.mytime.no_finished_rec" => 'Dieser Eintrag wurde ohne Startzeit gespeichert. Dies ist keine Fehler! Sie können sich abmelden',
"form.mytime.billable" => 'in Rechnung stellen',
"form.mytime.warn_tozero_rec" => 'dieser Eintrag muss gelöscht werden, da die das Zeitintervall blockiert ist',
"form.mytime.uncompleted" => 'unvollständig',

// profile form attributes
"form.profile.createm_str" => 'anlegen eines neuen Managerkontos',
"form.profile.prof_str" => 'Profil bearbeiten',
"form.profile.name" => 'Name',
"form.profile.login" => 'Anmeldung',
"form.profile.pas1" => 'Passwort',
"form.profile.pas2" => 'Passwort bestätigen',
"form.profile.comp" => 'Firma',
"form.profile.www" => 'Firmenhomepage',
"form.profile.curr" => 'Währung',
"form.profile.showchart" => 'Tortendiagramm anzeigen',
"form.profile.lang" => 'Sprache',
"form.profile.lang_set_as_default" => 'als Standardsprache des Teams setzen',
"form.profile.lang_set_to_all" => 'setzen für alle Benutzer meines Teams',
"form.profile.lang_allow_user_change" => 'Benutzern erlauben die Spracheinstellung zu ändern',
"form.profile.custom_date_format" => "Datumsformat",
"form.profile.custom_time_format" => "Zeitformat",
"form.profile.default_format" => "(Standard)",
"form.profile.start_week" => "erster Tag der Woche",
"form.profile.email" => "e-Mail",

// people form attributes
"form.people.ppl_str" => 'Personen',
"form.people.createu_str" => 'neues Benutzerkonto erstellen',
"form.people.edit_str" => 'Benutzerdaten bearbeiten',
"form.people.del_str" => 'Benutzerkonto wird gelöscht:',
"form.people.th.name" => 'Name',
"form.people.th.login" => 'Anmeldung',
"form.people.th.role" => 'Rolle',
"form.people.th.edit" => 'bearbeiten',
"form.people.th.del" => 'löschen',
"form.people.th.status" => 'Status',
"form.people.th.project" => 'Projekt',
"form.people.th.rate" => 'Stundensatz',
"form.people.manager" => 'Manager',
"form.people.comanager" => 'Co-Manager',
"form.people.empl" => 'Benutzer',
"form.people.name" => 'Name',
"form.people.login" => 'Anmeldung',
"form.people.pas1" => 'Passwort',
"form.people.pas2" => 'Passwort bestätigen',
"form.people.rate" => 'Stundensatz',
"form.people.comanager" => 'Co-Manager',
"form.people.projects" => 'Projekte',
"form.people.email" => "e-Mail",

// projects form attributes
"form.project.proj_title" => 'Projekte',
"form.project.edit_str" => 'Projekt editieren',
"form.project.add_str" => 'neues Projekt anlegen',
"form.project.del_str" => 'Projekt wird gelöscht:',
"form.project.th.name" => 'Name',
"form.project.th.edit" => 'bearbeiten',
"form.project.th.del" => 'löschen',
"form.project.name" => 'Name',

// activities form attributes
"form.activity.act_title" => 'Tätigkeit',
"form.activity.add_title" => 'neue Tätigkeit hinzufügen',
"form.activity.edit_str" => 'Tätigkeit ändern',
"form.activity.del_str" => 'Tätigkeit wird gelöscht:',
"form.activity.name" => 'Name',
"form.activity.project" => 'Projekt',
"form.activity.th.name" => 'Name',
"form.activity.th.project" => 'Projekt',
"form.activity.th.edit" => 'bearbeiten',
"form.activity.th.del" => 'löschen',

// report attributes
"form.report.title" => 'Berichte',
"form.report.from" => 'Anfangsdatum',
"form.report.to" => 'Enddatum',
"form.report.groupby_user" => 'Benutzer',
"form.report.groupby_project" => 'Projekt',
"form.report.groupby_activity" => 'Tätigkeit',
"form.report.duration" => 'Dauer',
"form.report.start" => 'Start',
"form.report.activity" => 'Tätigkeit',
"form.report.show_idle" => 'Tage ohne Eintrag',
"form.report.finish" => 'Ende',
"form.report.note" => 'Beschreibung',
"form.report.project" => 'Projekt',
"form.report.totals_only" => 'nur Gesamtstunden',
"form.report.total" => 'Gesamtstunden',
"form.report.th.empllist" => 'Benutzer',
"form.report.th.date" => 'Datum',
"form.report.th.project" => 'Projekt',
"form.report.th.activity" => 'Tätigkeit',
"form.report.th.start" => 'Start',
"form.report.th.finish" => 'Ende',
"form.report.th.duration" => 'Dauer',
"form.report.th.note" => 'Beschreibung',

// mail form attributes
"form.mail.from" => 'von',
"form.mail.to" => 'an',
"form.mail.cc" => 'CC',
"form.mail.subject" => 'Betreff',
"form.mail.comment" => 'Kommentar',
"form.mail.above" => 'diesen Bericht per E-Mail senden',
// Note to translators: this string needs to be translated.
"form.mail.footer_str" => 'Anuko Time Tracker is a simple, easy to use, open source<br>time tracking system. Visit <a href="http://www.anuko.com">www.anuko.com</a> for more information.',
"form.mail.sending_str" => '<b>Die Nachricht wurde gesendet.</b>',

// invoice attributes
"form.invoice.title" => 'Rechnung',
"form.invoice.caption" => 'Rechnung',
"form.invoice.above" => 'zusätzliche Informationen zur Rechnung',
"form.invoice.select_cust" => 'Kunden wählen',
"form.invoice.fillform" => 'Feldern ausfüllen',
"form.invoice.date" => 'Datum',
"form.invoice.number" => 'Rechnungsnummer',
"form.invoice.tax" => 'Umsatzsteuer',
"form.invoice.discount" => 'Rabbatt',
"form.invoice.daily_subtotals" => 'Zwischensumme (Tag)',
"form.invoice.yourcoo" => 'Ihr Name<br> und Ihre Adresse',
"form.invoice.custcoo" => 'Kundenname<br> und Adresse',
"form.invoice.comment" => 'Kommentar ',
"form.invoice.th.username" => 'Person',
"form.invoice.th.time" => 'Stunden',
"form.invoice.th.rate" => 'Stundensatz',
"form.invoice.th.summ" => 'Betrag',
"form.invoice.subtotal" => 'Zwischensumme',
"form.invoice.total" => 'Gesamtsumme',
"form.invoice.customer" => 'Kunde',
"form.invoice.period" => 'Abrechnungszeitraum',
"form.invoice.mailinv_above" => 'Rechnung per E-Mail senden',
"form.invoice.sending_str" => '<b>Die Rechnung wurde gesendet.</b>',

"form.migration.zip" => 'Kompression',
"form.migration.file" => 'Datei auswählen',
"form.migration.import.title" => 'Daten importieren',
"form.migration.import.success" => 'Import erfolgreich abgeschlossen',
"form.migration.import.text" => 'Teamdaten von einer XML-Datei importieren',
"form.migration.export.title" => 'Daten exportieren',
"form.migration.export.success" => 'Export erfolgreich abgeschlossen',
"form.migration.export.text" => 'Sie können alle Teamdaten in eine XML-Datei exportieren. Diese kann in andere time tracker importiert werden.',
"form.migration.compression.none" => 'Keine',
"form.migration.compression.gzip" => 'gzip',
"form.migration.compression.bzip" => 'bzip',

"form.client.title" => 'Kunden',
"form.client.add_title" => 'Kunden hinzufügen',
"form.client.edit_title" => 'Kunden bearbeiten',
"form.client.del_title" => 'Kunden löschen',
"form.client.th.name" => 'Name',
"form.client.th.edit" => 'bearbeiten',
"form.client.th.del" => 'löschen',
"form.client.name" => 'Name',
"form.client.tax" => 'Steuern',
"form.client.discount" => 'Rabatt',
"form.client.daily_subtotals" => 'Zwischensumme (Tag)',
"form.client.yourcoo" => 'Ihr Name<br> und Adresse auf der Rechnung',
"form.client.custcoo" => 'Adresse',
"form.client.comment" => 'Kommentar ',

// miscellaneous strings
"forward.forgot_password" => 'Passwort vergessen?',
"forward.edit" => 'bearbeiten',
"forward.delete" => 'löschen',
"forward.sendbyemail" => 'als E-Mail senden',
"forward.tocsvfile" => 'CSV-export',
"forward.toxmlfile" => 'Daten als .xml Datei exportieren',
"forward.geninvoice" => 'Rechnung erstellen',
"forward.change" => 'Einstellungen für Auftraggeber',
"forward.lockpage" => 'Zeitintervall gegen Änderungen blockieren',

// strings inside contols on forms
"controls.select.project" => '--- Projekt auswählen ---',
"controls.select.activity" => '--- Tätigkeit auswählen ---',
"controls.select.client" => '--- Auftraggeber auswählen ---',
"controls.project_bind" => '--- alle ---',
"controls.all" => '--- alle ---',
"controls.notbind" => '--- nein ---',
"controls.per_tm" => 'aktueller Monat',
"controls.per_lm" => 'vorheriger Monat',
"controls.per_tw" => 'aktuelle Woche',
"controls.per_lw" => 'vorherige Woche',
"controls.per_td" => 'aktueller Tag',
"controls.per_at" => 'alle Zeitnitz',
"controls.per_ty" => 'aktuelles Jahr',
"controls.sel_period" => '--- Zeitraum wählen ---',
"controls.sel_groupby" => '--- keine Gruppierung ---',
"controls.inc_billable" => 'in Rechnung stellen',
"controls.inc_nbillable" => 'nicht in Rechnung stellen',
"controls.default" => '--- Standard ---',

// labels
"label.chart.title1" => 'Tätigkeiten des Nutzers',
"label.chart.title2" => 'Projekte des Nutzers',
"label.chart.period" => 'Diagramm für das Zeitintervall',

"label.pinfo" => '%s, %s',
"label.pinfo2" => '%s',
"label.pbehalf_info" => '%s %s <b>für %s</b>',
"label.pminfo" => ' (Manager)',
"label.pcminfo" => ' (Co-Manager)',
"label.painfo" => ' (Administrator)',
"label.time_noentry" => 'kein Eintrag',
"label.today" => 'heute',
"label.req_fields" => '* Pflichtfelder',
"label.sel_project" => 'Projekt auswählen',
"label.sel_activity" => 'Tätigkeit auswählen',
"label.sel_tp" => 'Zeitraum auswählen',
"label.set_tp" => 'oder Daten eingeben',
"label.fields" => 'Felder anzeigen',
"label.group_title" => 'gruppieren nach',
"label.include_title" => 'Daten hinzufügen',
"label.inv_str" => 'Rechnung',
"label.set_empl" => 'Benutzer auswählen',
"label.sel_all" => 'alle auswälen',
"label.sel_none" => 'alle abwählen',
"label.or" => 'oder',
"label.disable" => 'deaktivieren',
"label.enable" => 'aktivieren',
"label.filter" => 'Filter',
"label.timeweek" => 'Summe (Woche)',
"label.hrs" => 'Stunden',
"form.profile.showchart" => 'Diagramm anzeigen',
"label.errors" => 'Fehler',
"label.ldap_auth_module_demo" => '<b><font color="red">Dies ist eine Demoversion des LDAP Authentifizierungsmoduls.<br />Sie werden nach %d Sekunden abgemeldet.</font></b><br /><a href="http://www.anuko.com">Kaufen Sie die Vollversion hier!</a>',
"label.ldap_hint" => 'Geben Sie unten Ihren <b>Windows Benutzernamen</b> und Ihr <b>Passwort</b> ein.',
// Note to translators: string below need to be translated.
// "label.calendar_today" => 'today',
// "label.calendar_close" => 'close',

// login hello text
// "login.hello.text" => "Anuko Time Tracker is a simple, easy to use, open source time tracking system.",
);
?>