<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

$i18n_language_name = "Russian";
$i18n_float_delimiter = ",";

$i18n_month = array ('январь', 'февраль', 'март', 'апрель', 'май', 'июнь', 'июль', 'август', 'сентябрь', 'октябрь', 'ноябрь', 'декабрь');
// order of week day names must be from Sunday to Saturday in all translated files
$i18n_week = array ('воскресенье', 'понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота');
$i18n_week_sn = array ("вс","пн","вт","ср","чт","пт","сб");

//format d/m
$i18n_holidays = array("01/01","02/01", "07/01", "23/02", "08/03", "01/05", "09/05", "12/06", "04/11");

$i18n_key_words = array(

// menu entries
"menu.login" => 'войти в систему',
"menu.logout" => 'выйти',
"menu.feedback" => 'напишите нам',
"menu.help" => 'справка',
"menu.register" => 'создать новый аккаунт менеджера',
"menu.edprof" => 'редактировать профиль',
"menu.mytime" => 'мое время',
"menu.report" => 'отчеты',
"menu.project" => 'проекты',
"menu.activity" => 'задачи',
"menu.people" => 'сотрудники',
"menu.profile" => 'команды',
"menu.migration" => 'экспорт данных',
"menu.clients" => 'клиенты',
"menu.services" => 'опции',
"menu.admin" => 'администратор',

// error strings
"errors.db_error" => 'ошибка базы данных',
"errors.wrong" => 'некорректные данные в \'{0}\'',
"errors.empty" => 'пустое поле \'{0}\'',
"errors.compare" => 'значение \'{0}\' не соответствует \'{1}\'',
"errors.wr_interval" => 'неправильный интервал',
"errors.wr_project" => 'выберите проект',
"errors.wr_activity" => 'выберите задачу',
"errors.wr_auth" => 'неправильно введен логин или пароль',
"errors.del_nothing" => 'нет данных для удаления',
"errors.reg_error" => "невозможно создать нового пользователя",
"errors.prof_error" => "невозможно изменить профиль",
"errors.no_user" => "нет такого пользователя",
"errors.mt_del_no" => 'невозможно удалить запись о времени',
"errors.mt_del_no_conf" => 'запись о времени не была удалена',
"errors.mt_insert" => 'ошибка добавления записи о времени',
"errors.user_exist" => 'пользователь с таким логином уже существует',
"errors.user_notexists" => 'пользователь отсутствует',
"errors.user_update" => "невозможно изменить данные пользователя",
"errors.user_delete" => "невозможно удалить данные пользователя",
"errors.project_exist" => 'проект с таким именем уже есть',
"errors.project_notexists" => 'проект отсутствует',
"errors.project_update" => "невозможно изменить имя проекта",
"errors.project_add" => 'невозможно добавить новый проект',
"errors.project_nodel" => 'невозможно удалить проект',
"errors.activity_add" => 'невозможно добавить новую задачу',
"errors.activity_exist" => 'задача с таким названием уже есть',
"errors.activity_update" => "невозможно изменить название задачи",
"errors.activity_nodel" => 'невозможно удалить задачу',
"errors.activity_notexists" => 'задача отсутствует',
"errors.report_period" => 'неправильный период',
"errors.search_by_login" => 'нет пользователя с таким логином',
"errors.multiteam_mode" => 'вы не можете создавать новые учётные записи',
"errors.upload" => 'ошибка загрузки файла',
"errors.client_nodel" => 'невозможно удалить клиента',
"errors.client_notexists" => 'клиент не существует',
"errors.ie_sameusers" => 'один или более логинов уже присутствуют в базе',
"errors.period_lock" => 'невозможно завершить операцию. записи, старее чем определённое количество дней, не могут быть созданы или изменены. менеджер команды определяет интервал блокировки величиной \'интервал блокировки в днях\' на странице \'редактировать профиль\'.  установите её в 0, чтобы удалить блокировку.<br><br>неоконченные записи (с 0 или пустой длительностью) могут быть удалены.',
"errors.mail_send" => 'ошибка отправки почты',
"errors.fpass_no_user_email" => 'для данного логина не предоставлен e-mail',
"errors.uncompleted_entry" => 'неоконченная запись уже существует. закройте или удалите её.',
"errors.goto_record" => 'посмотреть неоконченную запись.',

// labels for various buttons
"button.login" => 'войти',
"button.now" => 'сейчас',
"button.behalf_set" => 'установить',
"button.save" => 'сохранить',
"button.delete" => 'удалить',
"button.cancel" => 'отменить',
"button.submit" => 'подтвердить',
"button.ppl_add" => 'добавить нового пользователя',
"button.proj_add" => 'добавить новый проект',
"button.act_add" => 'добавить новую задачу',
"button.add" => 'добавить',
"button.generate" => 'сгенерировать',
"button.sendpwd" => 'выслать пароль',
"button.send" => 'отправить',
"button.sendbyemail" => 'отправить по e-mail',
"button.asnew" => 'сохранить как новый',
"button.profile_add" => 'создать новую команду',
"button.export" => 'экспорт команды',
"button.import" => 'импорт команды',
"button.apply" => 'применить',
"button.clnt_add" => 'добавить нового клиента',

"form.filter.project" => 'проект',
"form.filter.filter" => 'отчет',
"form.filter.filter_new" => 'новый отчет',
"form.filter.filter_confirm_delete" => 'удалить отчет?',

// login form attributes
"form.login.title" => 'вход в систему',
"form.login.login" => 'логин',
"form.login.password" => 'пароль',

// password reminder form attributes
"form.fpass.title" => 'напомнить пароль',
"form.fpass.login" => 'логин',
"form.fpass.send_pass_str" => 'пароль отослан по e-mail',
"form.fpass.send_pass_subj" => 'Ваш пароль к Anuko Time Tracker',
"form.fpass.send_pass_body" => "Уважаемый пользователь,\n\nКто-то, возможно вы, попросил сбросить ваш пароль к системе Anuko Time Tracker. Пройдите по данной ссылке для сброса пароля.\n\n%s\n\nAnuko Time Tracker - это открытая (open source), простая и лёгкая в использовании система трекинга рабочего времени. Подробности - на сайте http://www.anuko.com.",
"form.fpass.reset_comment" => "чтобы сменить пароль впечатайте его и нажмите сохранить",

// administrator form
"form.admin.title" => 'администратор',
"form.admin.duty_text" => 'создайте новую команду создав новый аккаунт менеджера.<br>также вы можете импортировать данные команды через xml файл из другого Anuko Time Tracker сервера (запрещено дублирование логинов).',
"form.admin.password" => 'пароль',
"form.admin.password_confirm" => 'подтвердить пароль',
"form.admin.change_pass" => 'смена пароля для аккаунта администратора',
"form.admin.profile.title" => 'команды',
"form.admin.profile.noprofiles" => 'ваша база данных пустая. войдите в систему как администратор и создайте новую команду.',
"form.admin.profile.comment" => 'удалить команду',
"form.admin.profile.th.id" => 'id',
"form.admin.profile.th.name" => 'имя',
"form.admin.profile.th.edit" => 'редактировать',
"form.admin.profile.th.del" => 'удалить',
"form.admin.profile.th.active" => 'действующий',
"form.admin.lock.period" => 'интервал блокировки в днях',
"form.admin.options" => 'опции',
"form.admin.lang_default" => 'язык по умолчанию для сайта',
"form.admin.custom_date_format" => "формат даты",
"form.admin.custom_time_format" => "формат времени",
"form.admin.start_week" => "день начала недели",

// my time form attributes
"form.mytime.title" => 'мое время',
"form.mytime.edit_title" => 'редактирование записи о времени',
"form.mytime.del_str" => 'удаление записи о времени',
"form.mytime.time_form" => ' (чч:мм)',
"form.mytime.date" => 'дата',
"form.mytime.project" => 'проект',
"form.mytime.activity" => 'задача',
"form.mytime.start" => 'начало',
"form.mytime.finish" => 'окончание',
"form.mytime.duration" => 'продолжит.',
"form.mytime.note" => 'комментарий',
"form.mytime.behalf" => 'рабочий день для',
"form.mytime.daily" => 'рабочий день',
"form.mytime.total" => 'общее время: ',
"form.mytime.th.project" => 'проект',
"form.mytime.th.activity" => 'задача',
"form.mytime.th.start" => 'начало',
"form.mytime.th.finish" => 'окончание',
"form.mytime.th.duration" => 'продолжит.',
"form.mytime.th.note" => 'комментарий',
"form.mytime.th.edit" => 'редактировать',
"form.mytime.th.delete" => 'удалить',
"form.mytime.del_yes" => 'запись о времени успешно удалена',
"form.mytime.no_finished_rec" => 'запись сохранена только со временем начала. это не ошибка. можно выйти из системы, если нужно.',
"form.mytime.billable" => 'включается в счет',
"form.mytime.warn_tozero_rec" => 'эта запись должна быть удалена т.к. данный интервал времени закрыт для модификаций',
"form.mytime.uncompleted" => 'не завершено',

// profile form attributes
"form.profile.createm_str" => 'создать новую учетную запись менеджера',
"form.profile.prof_str" => 'редактирование учетной записи',
"form.profile.name" => 'имя',
"form.profile.login" => 'логин',
"form.profile.pas1" => 'пароль',
"form.profile.pas2" => 'подтверждение пароля',
"form.profile.comp" => 'компания',
"form.profile.www" => 'сайт компании',
"form.profile.curr" => 'символ валюты',
"form.profile.showchart" => 'показывать диаграммы',
"form.profile.lang" => 'язык',
"form.profile.lang_set_as_default" => 'установить по умолчанию для команды',
"form.profile.lang_set_to_all" => 'установить для всех пользователей в моей команде',
"form.profile.lang_allow_user_change" => 'разрешить пользователям менять язык',
"form.profile.custom_date_format" => "формат даты",
"form.profile.custom_time_format" => "формат времени",
"form.profile.default_format" => "(по умолчанию)",
"form.profile.start_week" => "день начала недели",
"form.profile.email" => "адрес e-mail",

// people form attributes
"form.people.ppl_str" => 'сотрудники',
"form.people.createu_str" => 'создание нового пользователя',
"form.people.edit_str" => 'редактирование данных пользователя',
"form.people.del_str" => 'удаление данных пользователя',
"form.people.th.name" => 'имя',
"form.people.th.login" => 'логин',
"form.people.th.role" => 'роль',
"form.people.th.edit" => 'редактировать',
"form.people.th.del" => 'удалить',
"form.people.th.status" => 'статус',
"form.people.th.project" => 'проект',
"form.people.th.rate" => 'ставка',
"form.people.manager" => 'менеджер',
"form.people.comanager" => 'ассистент менеджера',
"form.people.empl" => 'сотрудник',
"form.people.name" => 'имя',
"form.people.login" => 'логин',
"form.people.pas1" => 'пароль',
"form.people.pas2" => 'подтверждение пароля',
"form.people.rate" => 'почасовая ставка',
"form.people.comanager" => 'ассистент менеджера',
"form.people.projects" => 'проекты',
"form.people.email" => "адрес e-mail",

// projects form attributes
"form.project.proj_title" => 'проекты',
"form.project.edit_str" => 'редактирование проекта',
"form.project.add_str" => 'создание нового проекта',
"form.project.del_str" => 'удаление проекта',
"form.project.th.name" => 'название',
"form.project.th.edit" => 'редактировать',
"form.project.th.del" => 'удалить',
"form.project.name" => 'название',

// activities form attributes
"form.activity.act_title" => 'задачи',
"form.activity.add_title" => 'добавление новой задачи',
"form.activity.edit_str" => 'редактирование задачи',
"form.activity.del_str" => 'удаление задачи',
"form.activity.name" => 'название',
"form.activity.project" => 'проект',
"form.activity.th.name" => 'название',
"form.activity.th.project" => 'проект',
"form.activity.th.edit" => 'редактировать',
"form.activity.th.del" => 'удалить',

// report attributes
"form.report.title" => 'отчеты',
"form.report.from" => 'начальная дата',
"form.report.to" => 'конечная дата',
"form.report.groupby_user" => 'пользователю',
"form.report.groupby_project" => 'проекту',
"form.report.groupby_activity" => 'задаче',
"form.report.duration" => 'продолжит.',
"form.report.start" => 'начало',
"form.report.activity" => 'задача',
"form.report.show_idle" => 'пустые дни',
"form.report.finish" => 'окончание',
"form.report.note" => 'комментарий',
"form.report.project" => 'проект',
"form.report.totals_only" => 'только итоги',
"form.report.total" => 'общее время',
"form.report.th.empllist" => 'пользователь',
"form.report.th.date" => 'дата',
"form.report.th.project" => 'проект',
"form.report.th.activity" => 'задача',
"form.report.th.start" => 'начало',
"form.report.th.finish" => 'окончание',
"form.report.th.duration" => 'продолжит.',
"form.report.th.note" => 'комментарий',

// mail form attributes
"form.mail.from" => 'от',
"form.mail.to" => 'кому',
"form.mail.cc" => 'копия',
"form.mail.subject" => 'тема',
"form.mail.comment" => 'комментарий',
"form.mail.above" => 'отправить этот отчет по e-mail',
"form.mail.footer_str" => 'Anuko Time Tracker - это открытая (open source), простая и лёгкая в использовании система трекинга рабочего времени. Подробности на сайте <a href="http://www.anuko.com">www.anuko.com</a>.',
"form.mail.sending_str" => '<b>сообщение отправлено</b>',

// invoice attributes
"form.invoice.title" => 'счет',
"form.invoice.caption" => 'счет',
"form.invoice.above" => 'дополнительная информация для счета',
"form.invoice.select_cust" => 'выберите клиента',
"form.invoice.fillform" => 'заполните поля',
"form.invoice.date" => 'дата счета',
"form.invoice.number" => 'номер счета',
"form.invoice.tax" => 'налог',
"form.invoice.discount" => 'скидка',
"form.invoice.daily_subtotals" => 'дневные итоги',
"form.invoice.yourcoo" => 'ваше имя<br> и адрес',
"form.invoice.custcoo" => 'имя клиента<br> и адрес',
"form.invoice.comment" => 'комментарий',
"form.invoice.th.username" => 'работник',
"form.invoice.th.time" => 'часов',
"form.invoice.th.rate" => 'ставка',
"form.invoice.th.summ" => 'сумма',
"form.invoice.subtotal" => 'итого',
"form.invoice.total" => 'к оплате',
"form.invoice.customer" => 'заказчик',
"form.invoice.period" => 'расчетный период',
"form.invoice.mailinv_above" => 'отправить этот счет по e-mail',
"form.invoice.sending_str" => '<b>счет отправлен</b>',

"form.migration.zip" => 'сжатие',
"form.migration.file" => 'укажите файл',
"form.migration.import.title" => 'импорт данных',
"form.migration.import.success" => 'импорт успешно выполнен',
"form.migration.import.text" => 'импортирование данных команды из xml файла',
"form.migration.export.title" => 'экспорт данных',
"form.migration.export.success" => 'экспорт успешно выполнен',
"form.migration.export.text" => 'вы можете экспортировать все данные команды в xml файл. это может быть полезно если вы переносите данные на свой собственный сервер.',
"form.migration.compression.none" => 'нет',
"form.migration.compression.gzip" => 'в формате gzip',
"form.migration.compression.bzip" => 'в формате bzip',

"form.client.title" => 'клиенты',
"form.client.add_title" => 'добавить клиента',
"form.client.edit_title" => 'редактирование клиента',
"form.client.del_title" => 'удаление клиента',
"form.client.th.name" => 'имя',
"form.client.th.edit" => 'редактировать',
"form.client.th.del" => 'удалить',
"form.client.name" => 'имя',
"form.client.tax" => 'налог',
"form.client.discount" => 'скидка',
"form.client.daily_subtotals" => 'дневные итоги',
"form.client.yourcoo" => 'ваше имя<br>и адрес в счете',
"form.client.custcoo" => 'адрес',
"form.client.comment" => 'заметки',

// miscellaneous strings
"forward.forgot_password" => 'забыли пароль?',
"forward.edit" => 'редактировать',
"forward.delete" => 'удалить',
"forward.sendbyemail" => 'отправить по e-mail',
"forward.tocsvfile" => 'экспортировать данные в .csv файл',
"forward.toxmlfile" => 'экспортировать данные в .xml файл',
"forward.geninvoice" => 'сгенерировать счет',
"forward.change" => 'изменить',
"forward.lockpage" => 'период для блокирования ввода времени от текущей даты',

// strings inside controls on forms
"controls.select.project" => '--- выберите проект ---',
"controls.select.activity" => '--- выберите задачу ---',
"controls.select.client" => '--- выберите клиента ---',
"controls.project_bind" => '--- все ---',
"controls.all" => '--- все ---',
"controls.notbind" => '--- нет ---',
"controls.per_tm" => 'этот месяц',
"controls.per_lm" => 'прошлый месяц',
"controls.per_tw" => 'эта неделя',
"controls.per_lw" => 'прошлая неделя',
"controls.per_td" => 'этот день',
"controls.per_at" => 'все время',
"controls.per_ty" => 'этот год',
"controls.sel_period" => '--- выберите период ---',
"controls.sel_groupby" => '--- без группировки ---',
"controls.inc_billable" => 'включаемые в счет',
"controls.inc_nbillable" => 'не включаемые в счет',
"controls.default" => '--- не указан ---',

// labels
"label.chart.title1" => 'задачи по пользователю',
"label.chart.title2" => 'проекты по пользователю',
"label.chart.period" => 'диаграмма за период',

"label.pinfo" => '%s, %s',
"label.pinfo2" => '%s',
"label.pbehalf_info" => '%s %s <b>вместо %s</b>',
"label.pminfo" => ' (менеджер)',
"label.pcminfo" => ' (ассистент менеджера)',
"label.painfo" => ' (администратор)',
"label.time_noentry" => 'нет записей',
"label.today" => 'сегодня',
"label.req_fields" => '* - обязательные для заполнения поля',
"label.sel_project" => 'выберите проект',
"label.sel_activity" => 'выберите задачу',
"label.sel_tp" => 'выберите интервал времени',
"label.set_tp" => 'или укажите даты',
"label.fields" => 'показывать поля',
"label.group_title" => 'группировать по',
"label.include_title" => 'включать записи',
"label.inv_str" => 'счет',
"label.set_empl" => 'выберите сотрудников',
"label.sel_all" => 'отметить все',
"label.sel_none" => 'снять все отметки',
"label.or" => 'или',
"label.disable" => 'отключен',
"label.enable" => 'включен',
"label.filter" => 'фильтр',
"label.timeweek" => 'недельный итог',
"label.hrs" => 'часов',
"label.errors" => 'ошибки',
"label.ldap_auth_module_demo" => '<b><font color="red">Это демо версия модуля LDAP авторизации.<br />Авторизованное состояние действует %d сек.</font></b><br /><a href="http://www.anuko.com">Покупайте полную версию здесь!</a>',
"label.ldap_hint" => 'введите свои <b>windows логин</b> и <b>пароль</b> в поля ниже',
"label.calendar_today" => 'сегодня',
"label.calendar_close" => 'закрыть',

// login hello text
"login.hello.text" => "Anuko Time Tracker - это открытая (open source), простая и лёгкая в использовании система трекинга рабочего времени.",
);
?>