<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

// Please keep the language name in English.
$i18n_language_name = "Slovenian";
$i18n_float_delimiter = ",";

$i18n_month = array ('januar', 'februar', 'marec', 'april', 'maj', 'junij', 'julij', 'avgust', 'september', 'oktober', 'november', 'december');
// order of week day names must be from Sunday to Saturday in all translated files
$i18n_week = array ('nedelja', 'ponedeljek', 'torek', 'sreda', 'četrtek', 'petek', 'sobota');
$i18n_week_sn = array ("ned","pon","tor","sre","čet","pet","sob");

//format d/m
$i18n_holidays = array("01/01","02/01", "08/02", "12/04", "13/04", "27/04", "01/05", "02/05", "25/06", "31/10", "01/11", "25/12", "26/12");

$i18n_key_words = array(

// menu entries
"menu.login" => 'prijava',
"menu.logout" => 'odjava',
"menu.feedback" => 'povratna informacija',
"menu.help" => 'pomoč',
"menu.register" => 'ustvari nov manager račun',
"menu.edprof" => 'uredi profil',
"menu.mytime" => 'moj čas',
"menu.report" => 'poročila',
"menu.project" => 'projekti',
"menu.activity" => 'aktivnosti',
"menu.people" => 'ljudje',
"menu.profile" => 'timi',
"menu.migration" => 'izvoz podatkov',
"menu.clients" => 'stranke',
"menu.services" => 'možnosti',
"menu.admin" => 'admin',

// error strings
"errors.db_error" => 'database error',
"errors.wrong" => 'incorrect \'{0}\' data',
"errors.empty" => 'field \'{0}\' is empty',
"errors.compare" => 'field \'{0}\' is not equal to field \'{1}\'',
"errors.wr_interval" => 'incorrect interval',
"errors.wr_project" => 'select project',
"errors.wr_activity" => 'select activity',
"errors.wr_auth" => 'incorrect login or password',
"errors.del_nothing" => 'no data for deleting',
"errors.reg_error" => "unable to create new user",
"errors.prof_error" => "unable to change profile",
"errors.no_user" => "there is no such user",
"errors.mt_del_no" => 'unable to delete time record',
"errors.mt_del_no_conf" => 'time record has not been deleted',
"errors.mt_insert" => 'time insertion error',
"errors.user_exist" => 'user with this login already exists',
"errors.user_notexists" => 'user does not exist',
"errors.user_update" => "unable to change user data",
"errors.user_delete" => "unable to delete user data",
"errors.project_exist" => 'project with this name already exists',
"errors.project_notexists" => 'project does not exist',
"errors.project_update" => "unable to change project name",
"errors.project_add" => 'unable to add new project',
"errors.project_nodel" => 'unable to delete project',
"errors.activity_add" => 'unable to add new activity',
"errors.activity_exist" => 'activity with this name already exists',
"errors.activity_update" => "unable to change activity name",
"errors.activity_nodel" => 'unable to delete activity',
"errors.activity_notexists" => 'activity does not exist',
"errors.report_period" => 'incorrect period',
"errors.search_by_login" => 'no user with this login',
"errors.multiteam_mode" => 'you can\'t create more accounts',
"errors.upload" => 'file upload error',
"errors.client_nodel" => 'unable to delete client',
"errors.client_notexists" => 'client does not exist',
"errors.ie_sameusers" => 'one or more logins already exist in the database',
"errors.period_lock" => 'can\'t complete the operation. records older than a certain number of days cannot be created or modified. team manager defines this in the \'lock interval in days\' value on the \'edit profile\' page. set it to 0 to remove locking. <br><br>uncompleted records (with 0 or empty duration) can be deleted.',
"errors.mail_send" => 'error sending mail',
"errors.fpass_no_user_email" => 'no email associated with this login',
"errors.uncompleted_entry" => 'uncompleted entry already exists. close or delete it.',
"errors.goto_record" => 'go to uncompleted entry.',

// labels for various buttons
"button.login" => 'prijava',
"button.now" => 'zdaj',
"button.behalf_set" => 'nastavi',
"button.save" => 'shrani',
"button.delete" => 'izbriši',
"button.cancel" => 'prekliči',
"button.submit" => 'potrdi',
"button.ppl_add" => 'dodaj novega uporabnika',
"button.proj_add" => 'dodaj nov projekt',
"button.act_add" => 'dodaj novo aktivnost',
"button.add" => 'dodaj',
"button.generate" => 'ustvari',
"button.sendpwd" => 'pojdi',
"button.send" => 'pošlji',
"button.sendbyemail" => 'pošlji preko elektronske pošte',
"button.asnew" => 'shrani kot novo',
"button.profile_add" => 'ustvari nov tim',
"button.export" => 'izvozi tim',
"button.import" => 'uvozi tim',
"button.apply" => 'uporabi',
"button.clnt_add" => 'dodaj novo stranko',

"form.filter.project" => 'projekt',
"form.filter.filter" => 'favorite report',
"form.filter.filter_new" => 'save as favorite',
"form.filter.filter_confirm_delete" => 'are you sure you want to delete this favorite report?',

// login form attributes
"form.login.title" => 'prijava',
"form.login.login" => 'prijava',
"form.login.password" => 'geslo',

// password reminder form attributes
"form.fpass.title" => 'razveljavi geslo',
"form.fpass.login" => 'prijava',
"form.fpass.send_pass_str" => 'zahteva za razveljavitev gesla je bila poslana',
"form.fpass.send_pass_subj" => 'Anuko Time Tracker zahteva za razveljavitev gesla',
// Note to translators: the ending of this tring below needs to be translated.
"form.fpass.send_pass_body" => "Spoštovani uporabnik,\n\nNekdo, najverjetneje vi, je zahteval razveljavitev vašega Anuko Time Tracker gesla. Prosimo obiščite to povezavo, če želite razveljaviti vaše geslo.\n\n%s\n\nAnuko Time Tracker is a simple, easy to use, open source time tracking system. Visit http://www.anuko.com for more information.\n\n",
"form.fpass.reset_comment" => "za razveljavitev gesla, prosimo vtipkajte geslo in kliknite gumb shrani",

// administrator form
"form.admin.title" => 'administrator',
"form.admin.duty_text" => 'create a new team by creating a new team manager account.<br>you can also import team data from an xml file from another Anuko Time Tracker server (no login collisions are allowed).',
"form.admin.password" => 'password',
"form.admin.password_confirm" => 'confirm password',
"form.admin.change_pass" => 'change password of administrator account',
"form.admin.profile.title" => 'teams',
"form.admin.profile.noprofiles" => 'your database is empty. login as admin and create a new team.',
"form.admin.profile.comment" => 'delete team',
"form.admin.profile.th.id" => 'id',
"form.admin.profile.th.name" => 'name',
"form.admin.profile.th.edit" => 'edit',
"form.admin.profile.th.del" => 'delete',
"form.admin.profile.th.active" => 'active',
"form.admin.lock.period" => 'lock interval in days',
"form.admin.options" => 'options',
"form.admin.lang_default" => 'site default language',
"form.admin.lang_browser_default" => '(browser default)',
"form.admin.custom_date_format" => "date format",
"form.admin.custom_time_format" => "time format",
"form.admin.start_week" => "first day of week",

// my time form attributes
"form.mytime.title" => 'my time',
"form.mytime.edit_title" => 'editing time record',
"form.mytime.del_str" => 'deleting time record',
"form.mytime.time_form" => ' (hh:mm)',
"form.mytime.date" => 'date',
"form.mytime.project" => 'project',
"form.mytime.activity" => 'activity',
"form.mytime.start" => 'start',
"form.mytime.finish" => 'finish',
"form.mytime.duration" => 'duration',
"form.mytime.note" => 'note',
"form.mytime.behalf" => 'daily work for',
"form.mytime.daily" => 'daily work',
"form.mytime.total" => 'hours total: ',
"form.mytime.th.project" => 'project',
"form.mytime.th.activity" => 'activity',
"form.mytime.th.start" => 'start',
"form.mytime.th.finish" => 'finish',
"form.mytime.th.duration" => 'duration',
"form.mytime.th.note" => 'note',
"form.mytime.th.edit" => 'edit',
"form.mytime.th.delete" => 'delete',
"form.mytime.del_yes" => 'time record deleted successfully',
"form.mytime.no_finished_rec" => 'this record was saved with only start time. it is not an error. logout if you need to.',
"form.mytime.billable" => 'billable',
"form.mytime.warn_tozero_rec" => 'this time record must be deleted because this time period is locked',
"form.mytime.uncompleted" => 'uncompleted',

// profile form attributes
"form.profile.createm_str" => 'create new manager account',
"form.profile.prof_str" => 'editing profile',
"form.profile.name" => 'name',
"form.profile.login" => 'login',
"form.profile.pas1" => 'password',
"form.profile.pas2" => 'confirm password',
"form.profile.comp" => 'company',
"form.profile.www" => 'company web site',
"form.profile.curr" => 'currency',
"form.profile.showchart" => 'show pie charts',
"form.profile.lang" => 'language',
"form.profile.lang_set_as_default" => 'set as team default language',
"form.profile.lang_set_to_all" => 'set to all users of my team',
"form.profile.lang_allow_user_change" => 'allow users to change their language',
"form.profile.lang_browser_default" => '(browser default)',
"form.profile.custom_date_format" => "date format",
"form.profile.custom_time_format" => "time format",
"form.profile.default_format" => "(default)",
"form.profile.start_week" => "first day of week",
"form.profile.email" => "email",

// people form attributes
"form.people.ppl_str" => 'people',
"form.people.createu_str" => 'creating new user',
"form.people.edit_str" => 'editing user',
"form.people.del_str" => 'deleting user',
"form.people.th.name" => 'name',
"form.people.th.login" => 'login',
"form.people.th.role" => 'role',
"form.people.th.edit" => 'edit',
"form.people.th.del" => 'delete',
"form.people.th.status" => 'status',
"form.people.th.project" => 'project',
"form.people.th.rate" => 'rate',
"form.people.manager" => 'manager',
"form.people.comanager" => 'comanager',
"form.people.empl" => 'user',
"form.people.name" => 'name',
"form.people.login" => 'login',
"form.people.pas1" => 'password',
"form.people.pas2" => 'confirm password',
"form.people.rate" => 'default hourly rate',
"form.people.comanager" => 'co-manager',
"form.people.projects" => 'projects',
"form.people.email" => "email",

// projects form attributes
"form.project.proj_title" => 'projekti',
"form.project.edit_str" => 'urejanje projektov',
"form.project.add_str" => 'dodajanje novega projekta',
"form.project.del_str" => 'brisanje projekta',
"form.project.th.name" => 'ime',
"form.project.th.edit" => 'uredi',
"form.project.th.del" => 'izbriši',
"form.project.name" => 'ime',

// activities form attributes
"form.activity.act_title" => 'aktivnosti',
"form.activity.add_title" => 'dodajanje novih aktivnosti',
"form.activity.edit_str" => 'urejanje aktivnosti',
"form.activity.del_str" => 'brisanje aktivnosti',
"form.activity.name" => 'ime',
"form.activity.project" => 'projekt',
"form.activity.th.name" => 'ime',
"form.activity.th.project" => 'projekt',
"form.activity.th.edit" => 'uredi',
"form.activity.th.del" => 'izbriši',

// report attributes
"form.report.title" => 'reports',
"form.report.from" => 'start date',
"form.report.to" => 'end date',
"form.report.groupby_user" => 'user',
"form.report.groupby_project" => 'project',
"form.report.groupby_activity" => 'activity',
"form.report.duration" => 'duration',
"form.report.start" => 'start',
"form.report.activity" => 'activity',
"form.report.show_idle" => 'show idle',
"form.report.finish" => 'finish',
"form.report.note" => 'note',
"form.report.project" => 'project',
"form.report.totals_only" => 'totals only',
"form.report.total" => 'hours total',
"form.report.th.empllist" => 'user',
"form.report.th.date" => 'date',
"form.report.th.project" => 'project',
"form.report.th.activity" => 'activity',
"form.report.th.start" => 'start',
"form.report.th.finish" => 'finish',
"form.report.th.duration" => 'duration',
"form.report.th.note" => 'note',

// mail form attributes
"form.mail.from" => 'od',
"form.mail.to" => 'za',
"form.mail.cc" => 'cc',
"form.mail.subject" => 'predmet',
"form.mail.comment" => 'komentar',
"form.mail.above" => 'pošlji to poročilo preko elektronske pošte',
// Note to translators: this string needs to be translated.
// "form.mail.footer_str" => 'Anuko Time Tracker is a simple, easy to use, open source<br>time tracking system. Visit <a href="http://www.anuko.com">www.anuko.com</a> for more information.',
"form.mail.sending_str" => '<b>sporočilo poslano</b>',

// invoice attributes
"form.invoice.title" => 'invoice',
"form.invoice.caption" => 'invoice',
"form.invoice.above" => 'additional information for invoice',
"form.invoice.select_cust" => 'select client',
"form.invoice.fillform" => 'fill the fields',
"form.invoice.date" => 'date',
"form.invoice.number" => 'invoice number',
"form.invoice.tax" => 'tax',
"form.invoice.discount" => 'discount',
"form.invoice.daily_subtotals" => 'daily subtotals',
"form.invoice.yourcoo" => 'your name<br> and address',
"form.invoice.custcoo" => 'client name<br> and address',
"form.invoice.comment" => 'comment ',
"form.invoice.th.username" => 'person',
"form.invoice.th.time" => 'hours',
"form.invoice.th.rate" => 'rate',
"form.invoice.th.summ" => 'amount',
"form.invoice.subtotal" => 'subtotal',
"form.invoice.total" => 'total',
"form.invoice.customer" => 'client',
"form.invoice.period" => 'billing period',
"form.invoice.mailinv_above" => 'send this invoice by e-mail',
"form.invoice.sending_str" => '<b>invoice sent</b>',

"form.migration.zip" => 'compression',
"form.migration.file" => 'select file',
"form.migration.import.title" => 'import data',
"form.migration.import.success" => 'import completed successfully',
"form.migration.import.text" => 'import team data from an xml file',
"form.migration.export.title" => 'export data',
"form.migration.export.success" => 'export completed successfully',
"form.migration.export.text" => 'you can export all team data into an xml file. this could be useful if you are migrating data to your own server.',
"form.migration.compression.none" => 'none',
"form.migration.compression.gzip" => 'gzip',
"form.migration.compression.bzip" => 'bzip',

"form.client.title" => 'clients',
"form.client.add_title" => 'add client',
"form.client.edit_title" => 'edit client',
"form.client.del_title" => 'delete client',
"form.client.th.name" => 'name',
"form.client.th.edit" => 'edit',
"form.client.th.del" => 'delete',
"form.client.name" => 'name',
"form.client.tax" => 'tax',
"form.client.discount" => 'discount',
"form.client.daily_subtotals" => 'daily subtotals',
"form.client.yourcoo" => 'your name<br> and address in invoice',
"form.client.custcoo" => 'address',
"form.client.comment" => 'comment ',

// miscellaneous strings
"forward.forgot_password" => 'forgot password?',
"forward.edit" => 'edit',
"forward.delete" => 'delete',
"forward.sendbyemail" => 'send by e-mail',
"forward.tocsvfile" => 'export data to .csv file',
"forward.toxmlfile" => 'export data to .xml file',
"forward.geninvoice" => 'generate invoice',
"forward.change" => 'configure clients',
"forward.lockpage" => 'interval to lock time entries from modifications',

// strings inside contols on forms
"controls.select.project" => '--- select project ---',
"controls.select.activity" => '--- select activity ---',
"controls.select.client" => '--- select client ---',
"controls.project_bind" => '--- all ---',
"controls.all" => '--- all ---',
"controls.notbind" => '--- no ---',
"controls.per_tm" => 'this month',
"controls.per_lm" => 'last month',
"controls.per_tw" => 'this week',
"controls.per_lw" => 'last week',
"controls.per_td" => 'this day',
"controls.per_at" => 'all time',
"controls.per_ty" => 'this year',
"controls.sel_period" => '--- select time period ---',
"controls.sel_groupby" => '--- no grouping ---',
"controls.inc_billable" => 'billable',
"controls.inc_nbillable" => 'not billable',
"controls.default" => '--- default ---',

// labels
"label.chart.title1" => 'aktivnosti uporabnika',
"label.chart.title2" => 'projekti uporabnika',
"label.chart.period" => 'graf za obdobje',

"label.pinfo" => '%s, %s',
"label.pinfo2" => '%s',
"label.pbehalf_info" => '%s %s <b>on behalf of %s</b>',
"label.pminfo" => ' (manager)',
"label.pcminfo" => ' (co-manager)',
"label.painfo" => ' (administrator)',
"label.time_noentry" => 'no entry',
"label.today" => 'today',
"label.req_fields" => '* required fields',
"label.sel_project" => 'select project',
"label.sel_activity" => 'select activity',
"label.sel_tp" => 'select time period',
"label.set_tp" => 'or set dates',
"label.fields" => 'show fields',
"label.group_title" => 'group by',
"label.include_title" => 'include records',
"label.inv_str" => 'invoice',
"label.set_empl" => 'select users',
"label.sel_all" => 'select all',
"label.sel_none" => 'deselect all',
"label.or" => 'or',
"label.disable" => 'disable',
"label.enable" => 'enable',
"label.filter" => 'filter',
"label.timeweek" => 'weekly total',
"label.hrs" => 'hrs',
"label.errors" => 'errors',
"label.ldap_auth_module_demo" => '<b><font color="red">This is a demo version of LDAP Authentication Module.<br />You will be logged out after %d sec.</font></b><br /><a href="http://www.anuko.com">Buy full version here!</a>',
"label.ldap_hint" => 'Type your <b>Windows login</b> and <b>password</b> in the fields below.',
"label.calendar_today" => 'today',
"label.calendar_close" => 'close',

// login hello text
"login.hello.text" => "Anuko Time Tracker is a simple, easy to use, open source time tracking system.",
);
?>