<script type="text/javascript">
// We need a couple of arrays, one for associated activity ids, another - a map of activity names.
// Prepare an array of associated activity ids. Format: activity_ids[325] = "100,101,302,303,304";
activity_ids = new Array();
{foreach $project_list as $project}
  activity_ids[{$project.p_id}] = "{$project.p_activities}";
{/foreach}
// Prepare an array of activity names. Format: activity_names[100] = "Coding";
activity_names = new Array();
{foreach $activity_list as $activity}
  activity_names[{$activity.a_id}] = "{$activity.a_name|escape:'javascript'}";
{/foreach}

// empty_label is the mandatory top option in the activities dropdown.
empty_label = '{$i18n.controls.select.activity|escape:'javascript'}';
	
// The fillActivityDropdown function populates the acitivity combo box with
// activities associated with a selected project (project id is passed here as id). 
function fillActivityDropdown(id) {
  var str_a_ids = activity_ids[id];

  var dropdown = document.getElementById("activity");
  // Determine previously selected item.
  var selected_item = dropdown.options[dropdown.selectedIndex].value;
  
  // Remove existing content.
  dropdown.length = 0;
  // Add mandatory top option.
  dropdown.options[0] = new Option(empty_label, '', true);

  // Populate the dropdown from the activity_names array.
  if (str_a_ids) {
    var a_ids = new Array();
    a_ids = str_a_ids.split(",");
    var len = a_ids.length;

    for (var i = 0; i < len; i++) {
      var a_id = a_ids[i];
      dropdown.options[i+1] = new Option(activity_names[a_id], a_id);
    }

    // If a previously selected item is still in dropdown - select it.
   	if (dropdown.options.length > 0) {
      for (var i = 0; i < dropdown.options.length; i++) {
        if (dropdown.options[i].value == selected_item)  {
          dropdown.options[i].selected = true;
        }
      }
    }
  }
}

// The formDisable function disables some fields depending on what we have in other fields.
function formDisable(formField) {
  var formFieldValue = eval("document.mytimeForm." + formField + ".value");
  var formFieldName = eval("document.mytimeForm." + formField + ".name");

  if ((formFieldValue != "") && (formFieldName == "start") || (formFieldValue != "") && (formFieldName == "finish")) {
    var x = eval("document.mytimeForm.duration");
    x.disabled = true;
    x.style.background = "#E9E9E9";
  }

  if ((formFieldValue == "") && (formFieldName == "start") && (document.mytimeForm.finish.value == "")||(formFieldValue == "")&&(formFieldName == "finish") && (document.mytimeForm.start.value == "")) {
    var x = eval("document.mytimeForm.duration");
    x.disabled = false;
    x.style.background = "white";
  }

  if ((formFieldValue != "") && (formFieldName == "duration")) {
    var x = eval("document.mytimeForm.start");
    x.disabled = true;
    x.style.background = "#E9E9E9";
    var x = eval("document.mytimeForm.finish");
    x.disabled = true;
    x.style.background = "#E9E9E9";
  }

  if ((formFieldValue == "") && (formFieldName == "duration")) {
	var x = eval("document.mytimeForm.start");
	x.disabled = false;
	x.style.background = "white";
	var x = eval("document.mytimeForm.finish");
	x.disabled = false;
	x.style.background = "white";
  }
}

// The setNow function fills a given field with current time.
function setNow(formField) {
  var today = new Date();
  var min = today.getMinutes();
  var smin = min;
  if (min < 10) smin = "0" + min;
  var hour = today.getHours();
  var shour = hour;
  if (hour < 10) shour = "0" + hour;
  var strTimeNow = shour + ":" + smin;
  var obj = eval("document.mytimeForm." + formField);
  obj.value = shour.toString() + ":" + smin.toString();
}
</script>

{$forms.mytimeForm.open}
<table cellspacing="4" cellpadding="7" border="0">
<tr>
  <td>
  <table width = "100%">
  <tr>
  	<td valign="top">
    <table border="0">
    <tr>
      <td align="right">{$i18n.form.mytime.project} (*):</td>
      <td>{$forms.mytimeForm.project.control}</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.activity} (*):</td>
      <td>{$forms.mytimeForm.activity.control}</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.start}:</td>
      <td>{$forms.mytimeForm.start.control}&nbsp;<input onclick="setNow('start');" type="button" value="{$i18n.button.now}">{$i18n.form.mytime.time_form}</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.finish}:</td>
      <td>{$forms.mytimeForm.finish.control}&nbsp;<input onclick="setNow('finish');" type="button" value="{$i18n.button.now}">{$i18n.form.mytime.time_form}</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.duration}:</td>
      <td>{$forms.mytimeForm.duration.control} (hh:mm or 0.0h)</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.date}:</td>
      <td>{$forms.mytimeForm.pr_date.control}</td>
    </tr>
    <tr>
      <td align="right">{$i18n.form.mytime.note}:</td>
      <td>{$forms.mytimeForm.note.control}</td>
    </tr>
    <tr>
      <td align="right">&nbsp;</td>
      <td>{$forms.mytimeForm.billable.control}{$i18n.form.mytime.billable}</td>
    </tr>
    <tr>
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr bgcolor="#efefef">
      <td colspan="2">{$i18n.label.timeweek}: {$week_time} {$i18n.label.hrs}</td>
    </tr>
    <tr>
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr>
      <td></td>
      <td align="left">{$forms.mytimeForm.btsave.control}&nbsp;{$forms.mytimeForm.btsaveasnew.control}&nbsp;{$forms.mytimeForm.btdelete.control}</td>
    </tr>
    </table>
    </td>
    </tr>
  </table>
  </td>
  </tr>
</table>
{$forms.mytimeForm.close}