<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

require_once('initialize.php');
import('form.Form');
import('form.ActionForm');
import('UserHelper');
import('ProjectHelper');
import('ActivityHelper');
import('form.check.Validator');

if ($auth->isAuthenticated()) {
  if ($userMin->isAdmin) {
    Header("Location: admin.php");
    exit();
  }
} else {
  Header("Location: login.php");
  exit();
}
	
// We still need the old class instance.
$user = new User($auth->getUserId());
	
	$projects = ProjectHelper::findProjects($user);
	if ($request->getMethod()=="POST") {
		$cl_name  = $request->getParameter('name');
		$cl_name  = trim($cl_name);
		$cl_projects = $request->getParameter('projects');
	} else {
		$bean = new ActionForm("activityBean", new Form('activityForm'), $request);
		if ($bean->getAttribute("f_project")) {
			$cl_projects[] = $bean->getAttribute("f_project");
		} else {
			if (is_array($projects))
			foreach ($projects as $p) $cl_projects[] = $p["p_id"];
		}
	}
	
	$form = new Form('activityForm');
	$form->addInput(array("type"=>"text","maxlength"=>"100","name"=>"name","style"=>"width:250;","value"=>@$cl_name));
	$form->addInput(array("type"=>"checkboxgroup","name"=>"projects","layout"=>"H",
    	"data"=>$projects,"datakeys"=>array("p_id","p_name"),"value"=>@$cl_projects));
	$form->addInput(array("type"=>"submit","name"=>"btsubmit","value"=>$i18n->getKey('button.add')));
	
	if ($request->getMethod()=="POST") {
		
		$validator = new Validator($cl_name);
		$validator->validateString();
		if (!$validator->isValid()) {
			$errors->add("name",$i18n->getKey("errors.wrong"),$i18n->getKey("form.activity.name"));	
		}
		
		if ($errors->isEmpty()) {
			$ulo = ActivityHelper::findActivityByName($userMin->manager_id, $cl_name);
			/*echo "<PRE>";
			print_r($ulo);
			echo "</PRE>";*/
			if (!$ulo OR ($ulo['a_status']>1) ) {
				if (ActivityHelper::insert($userMin->manager_id, $cl_name, $cl_projects)) {
					Header("Location: activities.php");
					exit();
				} else
					$errors->add("addact",$i18n->getKey("errors.activity_add"));
			} else {
				$errors->add("exact",$i18n->getKey("errors.activity_exist"));
			}
		}			
	} // post
	
	$smarty->assignByRef("errors", $errors);
    $smarty->assign("forms",array($form->getName()=>$form->toArray()));
    $smarty->assign("onload","onLoad=\"document.activityForm.name.focus()\"");
    $smarty->assign("userdet_string",UserHelper::getUserDetailsString($user,$GLOBALS["I18N"]));
    $smarty->assign("title_page",$i18n->getKey("form.activity.add_title"));
  	$smarty->assign("content_page_name","activity_add.tpl");
  	$smarty->display(INDEX_TEMPLATE);
?>