<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

	require_once('initialize.php');
	import('form.Form');
	import('UserHelper');
	import('ActivityHelper');
	import('ProjectHelper');
	import('form.check.Validator');

	if ($auth->isAuthenticated()) {
		$user = new User($auth->getUserId());
		if ($user->isAdministrator()) {
			Header("Location: admin.php");
			exit();
		}
	} else {
		Header("Location: login.php");
		exit();
	}
	
	$cl_activity_id = (int)$request->getParameter('act_id');
	if ($cl_activity_id>0) {
		$_SESSION["cl_activity_id"] = $cl_activity_id;
	}
	if ($cl_activity_id==0) {
		$cl_activity_id = $_SESSION["cl_activity_id"];
	}
	
	$ud = ActivityHelper::findActivityById($user->getOwnerId(), $cl_activity_id);
	if ($request->getMethod()=="POST") {
		$cl_name  = $request->getParameter('name');
		$cl_name  = trim($cl_name);
		$cl_projects = $request->getParameter('projects');
	} else {
        $cl_name	= @$ud["a_name"];
        if (isset($ud["aprojects"])) {
        	foreach ($ud["aprojects"] as $pr) {$cl_projects[] = $pr["ab_id_p"];}
        }        
	}
	$projects = ProjectHelper::findProjects($user);
	
	$form = new Form('activityForm');
	$form->addInput(array("type"=>"text","maxlength"=>"100","name"=>"name","style"=>"width:250;","value"=>@$cl_name));
    $form->addInput(array("type"=>"checkboxgroup","name"=>"projects","layout"=>"H",
    	"data"=>$projects,"datakeys"=>array("p_id","p_name"),"value"=>@$cl_projects));
    $form->addInput(array("type"=>"hidden","name"=>"act_id","value"=>@$cl_activity_id));
	$form->addInput(array("type"=>"submit","name"=>"btsubmit","value"=>$i18n->getKey('button.save')));
	
	if ($request->getMethod()=="POST") {
		
		$validator = new Validator($cl_name);
		$validator->validateString();
		if (!$validator->isValid()) {
			$errors->add("name",$i18n->getKey("errors.wrong"),$i18n->getKey("form.activity.name"));	
		}
		
		if ($errors->isEmpty()) {
			$ulo = ActivityHelper::findActivityByName($user->getOwnerId(), $cl_name);
			if (($ulo && $cl_activity_id==$ulo["a_id"]) || (!$ulo)) {
				if (ActivityHelper::update(array(
            'activity_id' => $cl_activity_id,
            'activity_name' => $cl_name,
            'projects' => &$cl_projects))) {
					Header("Location: activities.php");
					exit();
				} else
					$errors->add("editact",$i18n->getKey("errors.activity_update"));
			} else 
				$errors->add("exact",$i18n->getKey("errors.activity_exist"));
		}			
	} // post
	
	$smarty->assignByRef("errors", $errors);
    $smarty->assign("forms",array($form->getName()=>$form->toArray()));
    $smarty->assign("onload","onLoad=\"document.activityForm.name.focus()\"");
    $smarty->assign("userdet_string",UserHelper::getUserDetailsString($user,$GLOBALS["I18N"]));
    $smarty->assign("title_page",$i18n->getKey("form.activity.edit_str"));
  	if ($ud) {
    	$smarty->assign("content_page_name","activity_edit.tpl");
    } else {
    	$smarty->assign("content_page_name","syserror.tpl");
    }
  	$smarty->display(INDEX_TEMPLATE);
?>