<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/content/time_tracker/open_source/credits.htm
// +----------------------------------------------------------------------+

require_once('initialize.php');
import('form.Form');
import('UserHelper');
import('UserHelperNew');

// Authentication check and redirect.
if ($auth->isAuthenticated()) {
  if ($userMin->isAdmin) {
    Header("Location: admin.php");
    exit();
  }
} else {
  Header("Location: login.php");
  exit();
}

// Get user id we are deleting from the request.
$user_id = (int) $request->getParameter('id');
	
// Create confirmation form.
$form = new Form('peopleForm');
$form->addInput(array("type"=>"hidden", "name"=>"id", "value"=>$user_id));
$form->addInput(array("type"=>"submit", "name"=>"confirm", "value"=>$i18n->getKey('button.delete')));
$form->addInput(array("type"=>"submit", "name"=>"reject", "value"=>$i18n->getKey('button.cancel')));
	
if ($request->getMethod() == "POST") {
  if ($request->getParameter('confirm')) {
    if (ttUserHelper::delete($user_id)) {
      if ($userMin->user_id == $user_id) {
		
      	// TODO: Refactor this line after we re-organize session data. 				
        $_SESSION['_usersession'] = null;
		
        $auth->doLogout();
        header("Location: login.php");
      } else {
      	header("Location: people.php");
      }
      exit();
    } else {
      $errors->add("deluser",$i18n->getKey("errors.user_delete"));
    }
  }
  if ($request->getParameter('reject')) {
    header("Location: people.php");
    exit();
  }
}

// We'll need some user data to display.
$user_to_del = new ttUser("", $user_id);

$smarty->assignByRef("errors", $errors);
$smarty->assign("delstr_people", $user_to_del->name." (".$user_to_del->login.")");
$smarty->assign("forms", array($form->getName()=>$form->toArray()));
    
    
    // We still need old instance. REFACTOR THIS!
	$user = new User($auth->getUserId());
    $smarty->assign("userdet_string",UserHelper::getUserDetailsString($user,$GLOBALS["I18N"]));
    
    
$smarty->assign("title_page", $i18n->getKey("form.people.del_str"));
if ($user_to_del->id) {
  $smarty->assign("content_page_name", "people_del.tpl");
} else {
  $smarty->assign("content_page_name", "syserror.tpl");
}
$smarty->display(INDEX_TEMPLATE);
?>